Skip to main content
Model id: Qwen/Qwen3-235B-A22B-Instruct-2507 — pass this as the model field in API requests.

Spec

Providerqwen
HuggingFaceQwen/Qwen3-235B-A22B-Instruct-2507
Context length262,144 tokens
Max output4,096 tokens
Quantizationmanaged
Input modalitiestext
Output modalitiestext

Pricing

per million tokens
Input$0.22
Output$0.88

Supported features

tools, json_mode, structured_outputs, reasoning

Sampling parameters

temperature, top_p, top_k, max_tokens, stop, seed, frequency_penalty, presence_penalty, repetition_penalty, logprobs, top_logprobs

Example

curl https://api.tera.gw/v1/chat/completions \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer $TERA_API_KEY" \
  -d '{
    "model": "Qwen/Qwen3-235B-A22B-Instruct-2507",
    "messages": [{"role": "user", "content": "Hello"}],
    "max_tokens": 256
  }'